{ lib, pkgs, ... }:

{
  networking.hostName = lib.mkForce "ec-publisher";

  services.every-channel.ec-node = {
    relayUrl = lib.mkDefault "https://relay.every.channel/anon";
    passthrough = lib.mkDefault false;

    hdhomerun.autoDiscover = lib.mkDefault true;

    control = {
      enable = lib.mkDefault true;
      discovery = lib.mkDefault "dht,mdns,dns";
    };
  };

  environment.systemPackages = with pkgs; [
    curl
    ffmpeg
    jq
  ];
}
